> ## Documentation Index
> Fetch the complete documentation index at: https://docs.freeplay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Test Run Results



## OpenAPI

````yaml https://app.freeplay.ai/openapi.json get /api/v2/projects/{project_id}/test-runs/id/{test_run_id}
openapi: 3.1.0
info:
  title: Freeplay API
  version: 0.1.0
servers: []
security:
  - BearerAuth: []
paths:
  /api/v2/projects/{project_id}/test-runs/id/{test_run_id}:
    get:
      tags:
        - Test Runs
      summary: Get Test Run Results
      operationId: get_get_test_run_results
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
        - name: test_run_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  id:
                    title: Id
                    type: string
                  name:
                    title: Name
                    type:
                      - string
                      - 'null'
                  description:
                    title: Description
                    type:
                      - string
                      - 'null'
                  created_at:
                    title: Created At
                    type:
                      - integer
                      - 'null'
                  prompt_name:
                    title: Prompt Name
                    type:
                      - string
                      - 'null'
                  prompt_version:
                    title: Prompt Version
                    type:
                      - string
                      - 'null'
                  model_name:
                    title: Model Name
                    type:
                      - string
                      - 'null'
                  sessions_count:
                    title: Sessions Count
                    type:
                      - integer
                      - 'null'
                  summary_statistics:
                    $ref: '#/components/schemas/SummaryStatistics'
                  status:
                    default: null
                    title: Status
                    type:
                      - string
                      - 'null'
                required:
                  - id
                  - name
                  - description
                  - created_at
                  - prompt_name
                  - prompt_version
                  - model_name
                  - sessions_count
                  - summary_statistics
                title: TestRunResponseInfo
                type: object
          description: >-
            TestRunResponseInfo(test_run_summary_info:
            server.test_runs.test_runs_service.TestRunSummaryInfo,
            summary_statistics:
            server.test_runs.test_runs_service.SummaryStatistics)
components:
  schemas:
    SummaryStatistics:
      properties:
        human_evaluation:
          default: null
          title: Human Evaluation
          additionalProperties: true
          type:
            - object
            - 'null'
        auto_evaluation:
          default: null
          title: Auto Evaluation
          additionalProperties: true
          type:
            - object
            - 'null'
        client_evaluation:
          default: null
          title: Client Evaluation
          additionalProperties: true
          type:
            - object
            - 'null'
      title: SummaryStatistics
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````